The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Warning for R1Soft CDP users planning on upgrading to CentOS 5.7

Discussion in 'Data Protection' started by alphawolf50, Sep 15, 2011.

  1. alphawolf50

    alphawolf50 Well-Known Member

    Apr 28, 2011
    Likes Received:
    Trophy Points:
    cPanel Access Level:
    Root Administrator
    This isn't technically cPanel related, but as many cPanel users also use R1Soft CDP and CentOS, I thought this would be a good place to post this.

    If you need to use r1soft-cki to rebuild kernel modules after a kernel upgrade (perhaps everyone does? dunno), it currently cannot build against the CentOS 5.7 kernels (2.6.18-274.el5 and 2.6.18-274.3.1.el5, currently). This has been reported to R1Soft and confirmed. If you've already upgraded, you can regain functionality by returning to the old kernel. Edit '/boot/grub/grub.conf' and set "default=x" where x is the 0-based index of the kernel line you want to use. I.E., if kernel 2.6.18-238.9.1.el5 is the 3rd entry, you'd set this to 'default=2'. Then reboot.

    I hope that helps anyone who might be having this problem. I'll try to remember to update this thread when the issue is resolved.

Share This Page